org.modeshape.jcr.federation.spi

## Interface DocumentChanges.ChildrenChanges

- All Known Implementing Classes:
    FederatedDocumentChanges.FederatedChildrenChanges
  Enclosing interface:
    DocumentChanges

      public static interface DocumentChanges.ChildrenChanges

  Interface which encapsulates the changes to a document's children during an update operation. None of the changes in children expose SNS changes directly, so a connector would have to be aware of that during processing.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `LinkedHashMap<String,Name>` | `getAppended()` Returns the (childId, childName) map of children that have been appended to underlying document.
    `Map<String,LinkedHashMap<String,Name>>` | `getInsertedBeforeAnotherChild()` Returns the (insertedBeforeChildId, (childId, childName)) map of the children that have been inserted before an existing child due to a reordering operation.
    `Set<String>` | `getRemoved()` Returns the ids of the children that have been removed.
    `Map<String,Name>` | `getRenamed()` Returns the (childId, newChildName) map of children that have been renamed.
    `boolean` | `isEmpty()` Checks if there are any changes to the children (appended/renamed/removed/insertedBefore)

- - ### Method Detail

    - #### isEmpty

          boolean isEmpty()

      Checks if there are any changes to the children (appended/renamed/removed/insertedBefore)
      Returns:
        `true` if there aren't any changes, `false` otherwise

    - #### getAppended

          LinkedHashMap<String,Name> getAppended()

      Returns the (childId, childName) map of children that have been appended to underlying document.
      Returns:
        the map containing the names (keyed by identifiers) of the nodes that were appended to the end of this node's children; never null

    - #### getRenamed

          Map<String,Name> getRenamed()

      Returns the (childId, newChildName) map of children that have been renamed.
      Returns:
        the map containing the new node names (keyed by identifiers) of the child nodes that were renamed; never null

    - #### getInsertedBeforeAnotherChild

          Map<String,LinkedHashMap<String,Name>> getInsertedBeforeAnotherChild()

      Returns the (insertedBeforeChildId, (childId, childName)) map of the children that have been inserted before an existing child due to a reordering operation.
      Returns:
        the map containing the list of identifiers and names of the nodes that were inserted before another child of this node; never null

    - #### getRemoved

          Set<String> getRemoved()

      Returns the ids of the children that have been removed.
      Returns:
        the set containing the identifiers of the nodes that are no longer children of this node; never null

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.